[Overview][Constants][Classes][Index] | Reference for unit 'nvGLPainter' (#nvidia-widgets)

# GLUIPainter.drawText

Draw text with rectangle primitive

## Declaration

Source position: nvglpainter.pas line 184

`public procedure GLUIPainter.drawText(`
`r: Rect;`
`Text: ;`
`nbLines: Integer = 1;`
`caretPos: Integer = -1;`
`isHover: Boolean = false;`
`isOn: Boolean = false;`
`isFocus: Boolean = false`
`);`

## Arguments

`r` |  | Rectangle to draw in
`nbLines` |  | Number of lines in text
`caretPos` |  | Caret position
`isHover` |  | Boolean indicating if the mouse is hovering over it
`isOn` |  | Boolean indicating if the widget is on
`isFocus` |  | Boolean indicating if the widget has focus